<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    
    public function up(): void
    {
        Schema::table('listing_transfers', function (Blueprint $table) {
            $table->foreignId('receiver_consultant_id')
                ->nullable()
                ->after('receiver_company_id')
                ->constrained('consultant_profiles')
                ->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('listing_transfers', function (Blueprint $table) {
            $table->dropConstrainedForeignId('receiver_consultant_id');
        });
    }
};
